### Virtual Method

# Gtk CellAreaget_preferred_width

deprecated: 4.10

#### Declaration [src]

    void
    get_preferred_width (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      int* minimum_width,
      int* natural_width
    )

#### Description [src]

Retrieves a cell area’s initial minimum and natural width.

`area` will store some geometrical information in `context` along the way; when requesting sizes over an arbitrary number of rows, it’s not important to check the `minimum_width` and `natural_width` of this call but rather to consult `gtk_cell_area_context_get_preferred_width()` after a series of requests.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context to perform this request with.

  The data is owned by the caller of the function.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` where `area` will be rendering.

  The data is owned by the caller of the function.

`minimum_width`

  Type: `int*`

  Location to store the minimum width.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_width`

  Type: `int*`

  Location to store the natural width.

  The argument will be set by the function.
  The argument can be `NULL`.